package plant

import "github.com/gin-gonic/gin"

type WikiClassRouter struct{}

func (p *WikiClassRouter) InitWikiClassRouter(Router *gin.RouterGroup) {
	wikiClassRouter := Router.Group("wiki-class")
	{
		wikiClassRouter.POST("/add", wikiClassApi.AddClass)
		wikiClassRouter.POST("/update", wikiClassApi.UpdateClass)
		wikiClassRouter.POST("/page", wikiClassApi.ClassPage)
		wikiClassRouter.POST("/delete", wikiClassApi.DeleteClass)
		wikiClassRouter.GET("/list", wikiClassApi.ClassList)
		wikiClassRouter.GET("/detail", wikiClassApi.ClassDetail)
	}
}
